# m3e/radio_group

RadioGroup is a container for a set of radio buttons.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        aria_invalid: String,
        disabled: Disabled,
        name: String,
        required: Required,
      )
    }

### Constructors

-     Config(
        aria_invalid: String,
        disabled: Disabled,
        name: String,
        required: Required,
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## RadioGroup

opaque </>

RadioGroup is a View Model for this component

## Fields:

- aria_invalid:
- disabled: Whether the element is disabled.
- name: The name that identifies the element when submitting the associated form.
- required: Whether the element is required.

    pub opaque type RadioGroup

## Required

</>

Required is whether the element is required.

    pub type Required {
      IsRequired
      IsNotRequired
    }

### Constructors

-     IsRequired

-     IsNotRequired

# Values

## aria_invalid

</>

    pub fn aria_invalid(
      record: RadioGroup,
      aria_invalid: String,
    ) -> RadioGroup

aria_invalid sets the value of aria_invalid for this RadioGroup.

## default_aria_invalid

</>

    pub const default_aria_invalid: String

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_name

</>

    pub const default_name: String

## default_required

</>

    pub const default_required: Required

## disabled

</>

    pub fn disabled(
      record: RadioGroup,
      disabled: Disabled,
    ) -> RadioGroup

disabled sets the value of disabled for this RadioGroup.

## from_config

</>

    pub fn from_config(config: Config) -> RadioGroup

from_config creates a new RadioGroup from the given configuration.

## name

</>

    pub fn name(record: RadioGroup, name: String) -> RadioGroup

name sets the value of name for this RadioGroup.

## new

</>

    pub fn new() -> RadioGroup

new creates a new RadioGroup with the default configuration.

## render

</>

    pub fn render(
      model: RadioGroup,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a RadioGroup

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a RadioGroup Config

## required

</>

    pub fn required(
      record: RadioGroup,
      required: Required,
    ) -> RadioGroup

required sets the value of required for this RadioGroup.

✨